IMG_CreateAnimationEncoder(3)

NAME
IMG_CreateAnimationEncoder - Create an encoder to save a series of images to a file.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

IMG_AnimationEncoder * IMG_CreateAnimationEncoder(const char *file);

DESCRIPTION
These animation types are currently supported:

• ANI

• APNG

• AVIFS

• GIF

• WEBP

The file type is determined from the file extension, e.g. "file.webp" will be encoded using WEBP.

FUNCTION PARAMETERS

file
    the file where the animation will be saved.

RETURN VALUE
Returns a new IMG_AnimationEncoder, or NULL on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_CreateAnimationEncoder_IO(3), IMG_CreateAnimationEncoderWithProperties(3), IMG_AddAnimationEncoderFrame(3), IMG_CloseAnimationEncoder(3)